Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.services
Interface ComponentEventRequestHandler

All Known Implementing Classes:
  AjaxComponentEventRequestHandler, ComponentEventRequestHandlerImpl

    @UsesOrderedConfiguration(value=ComponentEventRequestFilter.class)
    public interface ComponentEventRequestHandler

Handler interface for component event requests. Component event requests do things such as process a form submission or otherwise change state. In the majority of cases, after the component event, a redirect response is sent to the client which, in turn, causes a page render.

The ComponentEventRequestHandler service is a pipeline, allowing extensibility via contributed filters. It may be distinguished by the @`Traditional` marker annotation.

A second service, AjaxComponentEventRequestHandler is also a pipeline and may be distinguished by the @`Ajax` marker annotation.

See Also:
  `ActionLink`, `Form`

Method Summary
`void` | `handle(ComponentEventRequestParameters parameters)` Handler for a component action request which will trigger an event on a component and use the return value to send a response to the client (typically, a redirect to a page render URL).

Method Detail

### handle

    void handle(ComponentEventRequestParameters parameters)
                throws java.io.IOException

  Handler for a component action request which will trigger an event on a component and use the return value to send a response to the client (typically, a redirect to a page render URL).

  Parameters:
    `parameters` - defining the requst
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.